VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Ceasar"
   ClientHeight    =   2895
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7575
   LinkTopic       =   "Form1"
   ScaleHeight     =   2895
   ScaleWidth      =   7575
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtOffset 
      Height          =   285
      Left            =   3840
      TabIndex        =   7
      Text            =   "1"
      Top             =   600
      Width           =   375
   End
   Begin VB.TextBox txtCiphertext 
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2655
      Left            =   4320
      MultiLine       =   -1  'True
      TabIndex        =   5
      Top             =   240
      Width           =   3255
   End
   Begin VB.CommandButton cmdDecipher 
      Caption         =   "<"
      Height          =   375
      Left            =   3600
      TabIndex        =   4
      Top             =   1920
      Width           =   375
   End
   Begin VB.CommandButton cmdEncipher 
      Caption         =   ">"
      Height          =   375
      Left            =   3600
      TabIndex        =   3
      Top             =   1320
      Width           =   375
   End
   Begin VB.TextBox txtPlaintext 
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2655
      Left            =   0
      MultiLine       =   -1  'True
      TabIndex        =   1
      Top             =   240
      Width           =   3255
   End
   Begin VB.Label Label1 
      BackStyle       =   0  'Transparent
      Caption         =   "Ciphertext"
      Height          =   255
      Index           =   2
      Left            =   4320
      TabIndex        =   6
      Top             =   0
      Width           =   735
   End
   Begin VB.Label Label1 
      BackStyle       =   0  'Transparent
      Caption         =   "Plaintext"
      Height          =   255
      Index           =   1
      Left            =   0
      TabIndex        =   2
      Top             =   0
      Width           =   615
   End
   Begin VB.Label Label1 
      BackStyle       =   0  'Transparent
      Caption         =   "Offset"
      Height          =   255
      Index           =   0
      Left            =   3360
      TabIndex        =   0
      Top             =   600
      Width           =   495
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Function OffsetText(ByVal intext As String, ByVal offset As Integer) As String
Const ASC_A = 65
Dim outtext As String
Dim ch As String
Dim num As Integer
Dim pos As Integer

    ' Make offset positive.
    offset = offset Mod 26
    If offset < 0 Then offset = offset + 26

    ' Examine each letter in the message.
    For pos = 1 To Len(intext)
        ' Get the next letter.
        ch = Mid$(intext, pos, 1)
        If ch <> " " Then
            ' Add the offset and turn it back into a letter.
            num = Asc(ch) - ASC_A
            num = (num + offset) Mod 26
            ch = Chr$(num + ASC_A)
        End If

        ' Add the converted letter to the result.
        outtext = outtext & ch
    Next pos

    OffsetText = outtext
End Function
' Convert the text to upper case, remove non-alphabetic
' characters, separate each five letter group with a
' space.
Private Function PrepareText(ByVal intext As String) As String
Dim outtext As String
Dim pos As Integer
Dim ch As String

    ' Convert to upper case.
    intext = UCase$(intext)

    ' Examine each letter.
    For pos = 1 To Len(intext)
        ' If the letter is between A and Z, add it
        ' to the output string.
        ch = Mid$(intext, pos, 1)
        If ch >= "A" And ch <= "Z" Then
            outtext = outtext & ch

            ' If we finished a block of 5 letters,
            ' add a space.
            If Len(outtext) Mod 6 = 5 Then outtext = outtext & " "
        End If
    Next pos

    PrepareText = outtext
End Function
' Decipher the ciphertext using the offset. This is
' basically the same as enciphering the text except
' we use the negative of the offset.
Private Sub cmdDecipher_Click()
Dim plaintext As String
Dim ciphertext As String
Dim offset As Integer

    ciphertext = PrepareText(txtCiphertext.Text)
    offset = CInt(txtOffset.Text)
    plaintext = OffsetText(ciphertext, -offset)
    txtPlaintext.Text = plaintext
End Sub

' Encipher the text using the offset.
Private Sub cmdEncipher_Click()
Dim plaintext As String
Dim ciphertext As String
Dim offset As Integer

    plaintext = PrepareText(txtPlaintext.Text)
    offset = CInt(txtOffset.Text)
    ciphertext = OffsetText(plaintext, offset)
    txtCiphertext.Text = ciphertext
End Sub
